Subject: Re: Git Inclusion Summit

From: Eric Wong <[email-masked]>
Date: Sun, 26 Jul 2020 04:02:26 +0000

Carmen Andoh <[email-masked]> wrote:
> Hello Git community,
> 
> There's been some conversation about holding a virtual contributor
> summit focused on inclusion [1]. I've volunteered to work with
> Jonathan Nieder’s team on organizing this event.
> 
> The purpose of this inclusion summit is to engage core Git
> contributors as active participants in diversity and inclusion
> initiatives for the Git project. As mentioned [2] "to align and
> coordinate, to set out goals that we want to agree on." This is part
> of a broader goal to make the Git version control system better
> support inclusive open source projects. The summit will give
> contributors the opportunity to learn about and share perspectives on
> inclusive culture, product inclusion, and career development.
> 
> This can be run unconference style like previous contributor summits:
> we'll use a spreadsheet to choose and vote on topics. This event will
> be a success if we walk away with specific recommendations on where
> and how Git will make changes to improve the experiences of
> underrepresented users in the Git project, and how to make the Git
> project better represent the needs of current and potential users.
> 
> It was mentioned in [1] that we should have conversations about equity
> and inclusion with more diverse voices present.  But we also don’t
> want to put a burden on individuals coming to educate us about things
> that we should be researching for ourselves. To that end, we are
> meeting with Diversity, Equity, Inclusion (DEI) experts for guidance
> and will have recommendations to incorporate into the summit. Prior to
> the summit, we will send out some resources to look through ahead of
> time.
> 
> Who all are invited?
> 
> Git core contributors on https://lore.kernel.org/git/., anyone
> interested in teaching OSS projects about DEI.
> 
> If your network includes any groups or individuals who focus on
> educating others about DEI, you're welcome to invite them or contact
> summit organizers to learn more.  We prefer groups and individuals who
> are in the business of educating on inclusion, or if they are
> volunteers, already explicitly expressed their interest in
> volunteering rather than being asked, as we want to be very mindful of
> free emotional labor. A bonus for knowledge of inclusion in open
> source.  We can widen our understanding by asking non-Git contributors
> to come share their perspectives for some or all of the summit.

Hello, I'm only an occasional contributor to git since 2005;
but I have many concerns which don't seem be brought up.

I have several concerns about the increasing use of video
conferencing in Open Source development in general.

1. The data can potentially be used to feed facial and
   voice recognition (either by the host or some participant).

   I haven't allowed myself to be photographed in over a decade
   and never video conferenced.  I've also turned down countless
   professional and personal opportunities because of this, along
   with never flying due to invasive screenings at airports.

2. Even without the privacy perspective, I have some hearing loss
   and conversations can be difficult.  There's plenty of folks
   with more severe hearing loss than mine who'd be left out.

3. It seems much of the software used for video conferencing
   proprietary, even though Free (as in speech) alternatives exist.
   I don't know enough about this area but maybe others can chime
   in.

4. Finally, the hardware and bandwidth requirements for video
   streaming is high.  Poorer folks on slow computers or in areas
   with expensive bandwidth would also be left out.

   And one of the reasons I don't code as much as I used to is
   both gcc and clang are taking longer to compile with every
   release and our test suite isn't exactly fast.

So yes, I'd like these concerns addressed even though I'm not
willing to be on video or deal with JavaScript.  Thanks.

/me goes back to making public-inbox (and thus lore) faster on
 rusty old hardware...